-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi all,

I want to build Qtmoko for the Freerunner GTA02 on my laptop using
Ubuntu Precise Pangolin 12.04 64-bit.

I followed the instructions on [1]. I have problems to get
libmpfr.so.1 installed. The program "getlibs" is not anymore available
on [2] so I tried it from [3]. But I get the message:

- --------------------------------
~$ sudo ./getlibs -l libmpfr.so.1
No match for libmpfr.so.1
No packages to install
- --------------------------------

If I try to continue without this library, I get the following error
(verbose mode in the target section):

- ----------------------------------------------------------------------
~/Dokumente/OM/qtmoko/GTA02/sources/build$ ../qtmoko/configure -device
neo -D _FORTIFY_SOURCE=0 -rtti -verbose
Testing the system Qt: OK
Qt Extended is using the following locations:
Qt          PREFIX      = /usr
Qt          LIBRARIES   = /usr/lib/x86_64-linux-gnu
Qt          BINARIES    = /usr/bin
Qt          HEADERS     = /usr/include/qt4
Qt Embedded SOURCE tree =
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/qtmoko/qtopiacore/qt
Qt Embedded BUILD  tree =
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/build/qtopiacore/target
Qt Extended SOURCE tree =
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/qtmoko
Qt Extended BUILD  tree =
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/build
Qt Extended SDK    tree =
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/build/sdk

Checking the compiler (host): OK (GCC 4, Little Endian)
Checking the compiler (target):
INFO:
PATH=/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/build/src/build/bin/pkgconfig:/opt/toolchains/arm920t-eabi/bin:/home/carsten/bin:/home/carsten/bin:/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/texlive/2011/bin/x86_64-linux:/usr/local/texlive/2011/bin/x86_64-linux:/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/build/sdk/qtopiacore/host/bin
LOCATE: which  arm-linux-gcc
/opt/toolchains/arm920t-eabi/bin/arm-linux-gcc
COMPILE:  arm-linux-gcc -pipe -c -o main.o
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/qtmoko/config.tests/compiler/main.c
/opt/toolchains/arm920t-eabi/bin/../lib/gcc/arm-linux-gnueabi/4.3.2/cc1:
error while loading shared libraries: libmpfr.so.1: cannot open shared
object file: No such file or directory
runwithvars.sh exited with value 1 at
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/qtmoko/src/build/bin/configure
line 3955
        eval {...} called at
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/qtmoko/src/build/bin/configure
line 3938
        main::configtest('compiler', 'env', 'CXX=\'arm-linux-g++\'
CXXFLAGS=\'-pipe -DQT_QWS_FICGTA01 -fno...', 'outvar', 'INFO:
PATH=/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/bu...') called at
/home/carsten/Dokumente/OM/qtmoko/GTA02/sources/qtmoko/src/build/bin/configure
line 2252
FAIL
Note: Run configure -verbose for verbose errors
make: *** [src/build/mkconf/configure] Fehler 1
- ----------------------------------------------------------------------

The line "error while loading shared libraries: libmpfr.so.1: cannot
open shared object file: No such file or directory" tells me that
libmpfr.so.1 is necessary.

A search directly on the Ubuntu package page [4] gives me the
following output:

- ----------------------------------------------------------------------
File                                                      Packages
/usr/lib/debug/usr/lib/x86_64-linux-gnu/libmpfr.so.4.1.0  libmpfr4-dbg
/usr/lib/debug/usr/lib32/libmpfr.so.4.1.0                 libmpfr4-dbg
/usr/lib/x86_64-linux-gnu/libmpfr.so                      libmpfr-dev
/usr/lib/x86_64-linux-gnu/libmpfr.so.4                    libmpfr4
/usr/lib/x86_64-linux-gnu/libmpfr.so.4.1.0                libmpfr4
/usr/lib32/libmpfr.so                                     lib32mpfr-dev
/usr/lib32/libmpfr.so.4                                   lib32mpfr4
/usr/lib32/libmpfr.so.4.1.0                               lib32mpfr4
- -----------------------------------------------------------------------

All these packages I have installed and created symlinks with the name
libmpfr.so.1 (in all above mentioned directories), see e.g.

- -----------------------------------------------------------------------
/usr/lib32$ ls -l libmpfr.so*
lrwxrwxrwx 1 root root  16 Apr  4 15:59 libmpfr.so -> libmpfr.so.4.1.0
lrwxrwxrwx 1 root root  10 Mai 25 21:31 libmpfr.so.1 -> libmpfr.so
lrwxrwxrwx 1 root root  16 Apr  4 15:59 libmpfr.so.4 -> libmpfr.so.4.1.0
- -rw-r--r-- 1 root root 375256 Apr  4 15:59 libmpfr.so.4.1.0
- -----------------------------------------------------------------------

Nevertheless I get the same error, that "libmpfr.so.1" can't be found.

It would be great if somebody can give me a hint, what else I can do
to solve this problem.


Thanks in advance and Greetings, Carsten


[1] http://sourceforge.net/apps/mediawiki/qtmoko/index.php?title=GITs
[2] http://frozenfox.freehostia.com/cappy/getlibs
[3] https://launchpad.net/~jcollins/+archive/jaminppa/+packages
[4]
http://packages.ubuntu.com/search?lang=en&suite=precise&arch=amd64&mode=filename&searchon=contents&keywords=libmpfr.so

- -- 
Hier ist mein √∂ffentlicher GPG-Schl√ľssel:
http://daswaldhorn.piranho.de/gpg/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk+/8AwACgkQ6SlDN6cxaI5ljACgo1OZQKsh7F8BR62pMW7lGqVI
8H4AmwQnbY8j7dXUPG2D7wWW6A1By7kI
=C6C5
-----END PGP SIGNATURE-----

_______________________________________________
Openmoko community mailing list
community@lists.openmoko.org
http://lists.openmoko.org/mailman/listinfo/community

Reply via email to